Name:           pcsc-lite
Version:        1.2.0
Release:        0.fdr.10.2
Epoch:          0
Summary:        PC/SC Lite smart card framework and applications

Group:          System Environment/Daemons
License:        BSD
URL:            http://www.linuxnet.com/middle.html
Source0:        https://alioth.debian.org/download.php/419/pcsc-lite-1.2.0.tar.gz
Source1:        %{name}-pcscd.init
Source2:        %{name}-update-reader.conf
Patch0:         %{name}-docinst.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  %{__perl}, flex, libusb-devel >= 0:0.1.6
Requires:       chkconfig, pcsc-ifd-handler

%description
The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
in a very small form factor for communicating to smartcards and
readers.  PC/SC Lite uses the same winscard API as used under
Windows(R).  This package includes the PC/SC Lite daemon, a resource
manager that coordinates communications with smart card readers and
smart cards that are connected to the system, as well as other command
line tools.

%package        libs
Summary:        PC/SC Lite libraries
Group:          System Environment/Libraries
Provides:       libpcsc-lite = %{epoch}:%{version}-%{release}
Provides:       libmusclecard = %{epoch}:%{version}-%{release}

%description    libs
PC/SC Lite libraries.

%package        devel
Summary:        PC/SC Lite development files
Group:          Development/Libraries
Requires:       %{name}-libs = %{epoch}:%{version}-%{release}, pkgconfig
Provides:       libpcsc-lite-devel = %{epoch}:%{version}-%{release}
Provides:       libmusclecard-devel = %{epoch}:%{version}-%{release}

%description    devel
PC/SC Lite development files.


%prep
%setup -q
%patch0 -p0
%{__perl} -pi -e 's|/etc/init\.d\b|%{_initrddir}|' doc/pcscd.8.in
%{__perl} -pe \
  's|__LOCALSTATEDIR__|%{_localstatedir}|g ;
   s|__SYSCONFDIR__|%{_sysconfdir}|g ;
   s|__INITRDDIR__|%{_initrddir}|g ;
   s|__SBINDIR__|%{_sbindir}|g' \
  %{SOURCE1} > pcscd.init
%{__perl} -pe \
  's|__SYSCONFDIR__|%{_sysconfdir}| ;
   s|__INITRDDIR__|%{_initrddir}| ;
   s|__SBINDIR__|%{_sbindir}|' \
  %{SOURCE2} > update-reader.conf


%build
%configure \
  --disable-dependency-tracking \
  --enable-runpid=%{_localstatedir}/run/pcscd.pid \
  --enable-confdir=%{_sysconfdir} \
  --enable-ipcdir=%{_localstatedir}/run \
  --enable-muscledropdir=%{_libdir}/pcsc/services \
  --enable-usbdropdir=%{_libdir}/pcsc/drivers
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_libdir}/pcsc/{drivers,services}
install -Dpm 755 pcscd.init $RPM_BUILD_ROOT%{_initrddir}/pcscd
install -pm 644 src/ifdhandler.h $RPM_BUILD_ROOT%{_includedir}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/reader.conf.d
cat <<EOF > $RPM_BUILD_ROOT%{_sysconfdir}/reader.conf.d/README
All *.conf files in this directory are merged into %{_sysconfdir}/reader.conf
by %{_sbindir}/update-reader.conf.
EOF
install -pm 755 update-reader.conf $RPM_BUILD_ROOT%{_sbindir}/


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add pcscd

%preun
if [ $1 -eq 0 ] ; then
  %{_initrddir}/pcscd stop >/dev/null || :
  /sbin/chkconfig --del pcscd
fi

%postun
[ $1 -gt 0 ] && %{_initrddir}/pcscd try-restart >/dev/null || :

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog* COPYING DRIVERS HELP NEWS README SECURITY
%dir %{_sysconfdir}/reader.conf.d
%{_sysconfdir}/reader.conf.d/README
%ghost %config %{_sysconfdir}/reader.conf
%config %{_initrddir}/pcscd
%{_bindir}/bundleTool
%{_bindir}/formaticc
%{_bindir}/installifd
%exclude %{_bindir}/pcsc_demo
%{_sbindir}/pcscd
%{_sbindir}/update-reader.conf
%{_libdir}/pcsc
%{_mandir}/man[18]/*.[18]*

%files libs
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/*.pdf doc/example/pcsc_demo.c
%{_includedir}/*.h
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%exclude %{_libdir}/lib*.la
%{_libdir}/pkgconfig/lib*.pc


%changelog
* Tue Aug 17 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.0-0.fdr.10
- Disable dependency tracking to speed up the build.
- Drop reader.conf patch, it's not needed any more.
- Rename update-reader-conf to update-reader.conf for consistency with Debian,
  and improve it a bit.

* Sat Jul 31 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.0-0.fdr.9
- Add update-reader-conf, thanks to Fritz Elfert.

* Thu Jul  1 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.0-0.fdr.8
- Own the %%{_libdir}/pcsc hierarchy.

* Thu May 13 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.0-0.fdr.7
- Make main package require pcsc-ifd-handler (idea from Debian).

* Wed May 12 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.0-0.fdr.6
- Improve package summary.
- Improvements based on suggestions from Ludovic Rousseau:
  - Don't install pcsc_demo but do include its source in -devel.
  - Sync reader.conf with current upstream CVS HEAD (better docs, less
    intrusive in USB-only setups where it's not needed).

* Fri Apr 16 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.0-0.fdr.5
- Move PDF API docs to -devel.
- Improve main package and init script descriptions.

* Thu Jan 29 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.0-0.fdr.4
- Init script fine tuning.

* Fri Jan  9 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.0-0.fdr.3
- BuildRequires libusb-devel 0.1.6 or newer.

* Thu Oct 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.0-0.fdr.2
- s/pkgconfi/pkgconfig/ in -devel requirements.

* Tue Oct 28 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.0-0.fdr.1
- Update to 1.2.0.
- Add libpcsc-lite and libmusclecard provides to -libs and -devel.

* Thu Oct 16 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.0-0.fdr.0.2.rc3
- Update to 1.2.0-rc3.
- Trivial init script improvements.
- Enable %%{_smp_mflags}.
- Don't bother trying to enable SCF.

* Sun Sep 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.0-0.fdr.0.2.rc2
- Specfile cleanups.

* Fri Sep  5 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.0-0.fdr.0.1.rc2
- Update to 1.2.0-rc2.

* Wed Aug 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.0-0.fdr.0.1.rc1
- Update to 1.2.0-rc1.

* Sun Jun  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.1.2-0.fdr.0.1.beta5
- Update to 1.1.2beta5.

* Sat May 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.1.2-0.fdr.0.1.beta4
- First build, based on PLD's 1.1.1-2.
